import request from '@/utils/request'

// 获取token
export const refreshToken = (object) => { return request({ url: "/auth/refreshToken", data: {}})}

// 获取所有区域
export const getArea = (object) => { return request({ url: "/common/getArea", data: {}})}

// 获取所有部门
export const getDept = (object) => { return request({ url: "/common/getDept", data: {}})}

// 查询负责人
export const getUser = (object) => { return request({ url: "/common/getUser", data: object})}

// 通过数组查询负责人
export const getUserByIds = (object) => { return request({ url: "/common/getUserByIds", data: object})}

// 适用对象
export const getSuitableObject = (object) => { return request({ url: "/common/getSuitableObject", data: object})}

// 根据区域id获取所有模板信息
export const getTemplateByDeptId = (object) => { return request({ url: "/common/getTemplateByDeptId", data: object})}

// 根据区域id获取工位
export const getStationByDeptId = (object) => { return request({ url: "/common/getStationByDeptId", data: object})}

// 获取当前登录用户详情
export const getLoginUserInfo = (object) => { return request({ url: "/common/getLoginUserInfo", data: object})}
