import request from '@/utils/request'
import download from '@/utils/download'

// 节点列表
export const nodeList = (object) => { return request({ url: "/fuxin/admin/node/nodeList", method: 'post', data: object, type: 'JSON'})}

// 所有员工信息
export const userList = (object) => { return request({ url: "/fuxin/admin/user/userList", method: 'post', data: object, type: 'JSON'})}

// 新增项目
export const addProject = (object) => { return request({ url: "/fuxin/admin/project/addProject", method: 'post', data: object, type: 'JSON'})}

// 查询项目列表
export const selectProjectPage = (object) => { return request({ url: "/fuxin/admin/project/selectProjectPage", method: 'post', data: object, type: 'JSON'})}

// 查询指定项目详情
export const adminProjectInfo = (params) => { return request({ url: "/fuxin/admin/project/adminProjectInfo/"+ params, method: 'get', type: 'JSON'})}

// 查看附件
export const projectNodeFile = (params) => { return request({ url: "/fuxin/common/project/projectNodeFile/"+ params, method: 'get', type: 'JSON'})}

// 查看节点批示
export const instructionsInfo = (params) => { return request({ url: "/fuxin/common/project/instructionsInfo/"+ params, method: 'get', type: 'JSON'})}

// 导出项目
export const projectExport = (object) => { return download({ url: "/fuxin/admin/project/projectExport", method: 'post', data: object, type: 'JSON'})}

// 导出项目
export const projectInfoExport = (params) => { return download({ url: "/fuxin/admin/project/projectInfoExport/"+ params, method: 'get', type: 'JSON'})}
